#!/usr/bin/env python
#
# This file is part of REPA: Release Engineering Process Assistant.
#
# Copyright (C) 2013 Intel Corporation
#
# REPA is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# version 2 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

"""
REPA: Release Engineering Process Assistant.

Copyright (C) Intel Corporation 2013
Licence: GPL version 2
Author: Ed Bartosh <eduard.bartosh@intel.com>

Setup module
"""
import os
from setuptools import setup

setup(name="repa",
      version='0.6',
      author='Ed Bartosh',
      author_email='eduard.bartosh@intel.com',
      packages=['repa'],
      namespace_packages=['repa'],
      data_files=[
          ('share/doc/packages/repa/', ['README']),
          ('share/man/man1/', ['repa.1']),
          (['/etc', 'etc'][bool(os.getenv('VIRTUAL_ENV'))], ['repa.conf'])],
      entry_points={
          'console_scripts': ['repa = repa.main:main'],
          'repa_commands':   ['list = repa.list:List',
                              'group = repa.group:Group',
                              'accept = repa.accept:Accept',
                              'reject = repa.reject:Reject',
                              'rmgroup = repa.rmgroup:RmGroup',
                              'show = repa.show:Show',
                              'diff = repa.diff:Diff',
                              'rebuild = repa.rebuild:Rebuild',
                              'lock = repa.lock:Lock',
                              'unlock = repa.unlock:Unlock',
                              'update = repa.update:Update',
                              'remove = repa.remove:Remove']
      })
